addnsparser.h File Reference
`#include "wire/acl.h"`
`#include "wire/tsig.h"`
`#include <libxml/xpath.h>`
`#include <libxml/xmlreader.h>`

Go to the source code of this file.

## Functions

acl_type * | parse_addns_request_xfr (const char *filename, tsig_type *tsig)
acl_type * | parse_addns_allow_notify (const char *filename, tsig_type *tsig)
acl_type * | parse_addns_provide_xfr (const char *filename, tsig_type *tsig)
acl_type * | parse_addns_do_notify (const char *filename, tsig_type *tsig)
tsig_type * | parse_addns_tsig (const char *filename)

## Function Documentation

## parse_addns_allow_notify()

acl_type * parse_addns_allow_notify | ( | const char * | filename,
|  | tsig_type * | tsig
| ) |  |

extern

Parse <AllowNotify>.

Parameters

  [in] | allocator | memory allocator
  [in] | filename | filename
  [in] | tsig | list of TSIGs

Returns
  acl_type* ACL

Parse <AllowNotify>.

Definition at line 340 of file addnsparser.c.

## parse_addns_do_notify()

acl_type * parse_addns_do_notify | ( | const char * | filename,
|  | tsig_type * | tsig
| ) |  |

extern

Parse <Notify>.

Parameters

  [in] | allocator | memory allocator
  [in] | filename | filename
  [in] | tsig | list of TSIGs

Returns
  acl_type* ACL

Parse <Notify>.

Definition at line 366 of file addnsparser.c.

## parse_addns_provide_xfr()

acl_type * parse_addns_provide_xfr | ( | const char * | filename,
|  | tsig_type * | tsig
| ) |  |

extern

Parse <ProvideTransfer>.

Parameters

  [in] | allocator | memory allocator
  [in] | filename | filename
  [in] | tsig | list of TSIGs

Returns
  acl_type* ACL

Parse <ProvideTransfer>.

Definition at line 353 of file addnsparser.c.

## parse_addns_request_xfr()

acl_type * parse_addns_request_xfr | ( | const char * | filename,
|  | tsig_type * | tsig
| ) |  |

extern

Parsing DNS Adapter. Parse <RequestTransfer>.

Parameters

  [in] | allocator | memory allocator
  [in] | filename | filename
  [in] | tsig | list of TSIGs

Returns
  acl_type* ACL

Parse <RequestTransfer>.

Definition at line 327 of file addnsparser.c.

## parse_addns_tsig()

tsig_type * parse_addns_tsig | ( | const char * | filename | ) |

extern

Parse <TSIG>.

Parameters

  [in] | allocator | memory allocator
  [in] | filename | filename

Returns
  tsig_type* TSIG

Parse <TSIG>.

Definition at line 379 of file addnsparser.c.